Docs
Templates

List templates

GET
/v1/templates

Authorization

BearerAuth
AuthorizationBearer <token>

API key (csk_live_…)

In: header

Query Parameters

page?integer

Page number

Default1
Range1 <= value <= 10000
limit?integer

Items per page

Default100
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://api.cospec.io/v1/templates"
{
  "data": [
    {
      "id": "string",
      "slug": "string",
      "name": "string",
      "description": "string",
      "baseImage": "node-22",
      "isSystem": true,
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0,
    "total": 0,
    "totalPages": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "requestId": "string"
}